<?php
/*
Template Name: Contact Page
*/
?>
<?php
if(isset($_POST['submitted'])) {
	if(trim($_POST['contactName']) === '') {
		$nameError = 'Please enter your name.';
		$hasError = true;
	} else {
		$name = trim($_POST['contactName']);
	}

	if(trim($_POST['email']) === '')  {
		$emailError = 'Please enter your email address.';
		$hasError = true;
	} else if (!preg_match("/^[[:alnum:]][a-z0-9_.-]*@[a-z0-9.-]+\.[a-z]{2,4}$/i", trim($_POST['email']))) {
		$emailError = 'You entered an invalid email address.';
		$hasError = true;
	} else {
		$email = trim($_POST['email']);
	}

	if(trim($_POST['comments']) === '') {
		$commentError = 'Please enter a message.';
		$hasError = true;
	} else {
		if(function_exists('stripslashes')) {
			$comments = stripslashes(trim($_POST['comments']));
		} else {
			$comments = trim($_POST['comments']);
		}
	}

	if(!isset($hasError)) {
		$emailTo = of_get_option('bt_email');
		if (!isset($emailTo) || ($emailTo == '') ){
			$emailTo = get_option('admin_email');
		}
		$subject = 'From '.$name;
		$body = "Name: $name \n\nEmail: $email \n\nComments: $comments";
		$headers = 'From: '.$name.' <'.$emailTo.'>' . "\r\n" . 'Reply-To: ' . $email;

		wp_mail($emailTo, $subject, $body, $headers);
		$emailSent = true;
	}

} ?>
<?php get_header(); ?>
<?php while ( have_posts() ) : the_post(); ?>

<div class="container">
<header class="subhead" id="overview">
<div class="input-append pull-right">
<?php  $contact = of_get_option('bt_contact');?>
<?php if(!empty($contact)){?>
<h2> <?php echo $contact; ?></h2>
<?php } ?>
</div>
<h1>
<?php the_title();?>
</h1>
<p class="lead"><?php echo get_post_meta($post->ID, 'bt_header_subtitle', true) ?></p>
</header>
<div class="row content ">
<div class="span9">
<div>
<div class="content-inner contact">
<div class="span9">
<?php  $checked = of_get_option('map_check');?>
<?php if ($checked == 1) echo ' 
<div class="item-box">
<div id="googlemap"></div>
<div class="shadow"></div>
</div>
<div class="divider-home"></div>'; ?>
</div>
<div class="span5">
<?php if(isset($emailSent) && $emailSent == true) { ?>
<div class="thanks">
<p>Thanks, your email was sent successfully.</p>
</div>
<?php } else { ?>
<?php if(isset($hasError) || isset($captchaError)) { ?>
<p class="error">Sorry, an error occured.
<p>
<?php } ?>
<form action="<?php the_permalink(); ?>" id="contactForm" method="post">
<div class="control-group"> 

<!-- Text input-->
<label class="control-label" for="contactName">Name</label>
<div class="controls">
<input id="contactName" type="text" placeholder="enter your name" class="input-xlarge required requiredField" name="contactName" value="<?php if(isset($_POST['contactName'])) echo $_POST['contactName'];?>"  />
<?php if( isset($nameError) && $nameError != '') { ?>
<span class="error">
<?php echo $nameError;?>
</span>
<?php } ?>
</div>
</div>
<div class="control-group"> 

<!-- Text input-->
<label class="control-label" for="email">Email</label>
<div class="controls">
<input id="email" type="text" placeholder="enter your email" class="input-xlarge required requiredField" name="email" value="<?php if(isset($_POST['email'])) echo $_POST['email'];?>"  />
<?php if( isset($emailError) && $emailError != '') { ?>
<span class="error">
<?php echo $emailError;?>
</span>
<?php } ?>
</div>
</div>
<div class="control-group"> 

<!-- Textarea -->
<label class="control-label" for="commentsText">Comments</label>
<div class="controls">
<div class="textarea">
<textarea name="comments" id="commentsText" placeholder="enter your message" rows="5" class="required requiredField"><?php if(isset($_POST['comments'])) { if(function_exists('stripslashes')) { echo stripslashes($_POST['comments']); } else { echo $_POST['comments']; } } ?>
</textarea>
<?php if( isset($commentError) && $commentError != '') { ?>
<span class="error">
<?php echo $commentError;?>
</span>
<?php } ?>
</div>
</div>
</div>
<div class="control-group"> 

<!-- Button -->
<div class="controls">
<input type="submit" class="btn standard" value="submit">
<input type="hidden" name="submitted" id="submitted" value="true" />
</div>
</div>
</form>
<?php } ?>
</div>
</div>
<div id="contact-text">
<div class="span4">
<?php the_content(); ?>
</div>
</div>
</div>

<!-- /.span9 -->

<?php endwhile;?>
</div>
<?php get_sidebar(); ?>
</div>
<script type="text/javascript">

function initGoogleMaps() {
	/* Google Maps Init */
		var myLatlng = new google.maps.LatLng(<?php echo of_get_option('map_lat', ''); ?>, <?php echo of_get_option('map_long', ''); ?>);
	var myOptions = {
	zoom: <?php echo of_get_option('map_zoom', ''); ?>	,
		center: myLatlng,
		popup: true,
		mapTypeId: google.maps.MapTypeId.ROADMAP
	}
	var map = new google.maps.Map(document.getElementById("googlemap"), myOptions);
	
	var marker = new google.maps.Marker({
		position: myLatlng, 
		map: map,
		title: "Our Location"
	});
	google.maps.event.addListener(marker, 'click', function() {
		map.setZoom(<?php echo of_get_option('map_zoom', ''); ?>);
	});
}

</script> 
<script type="text/javascript" src="https://maps.google.com/maps/api/js?sensor=false&amp;callback=initGoogleMaps"></script>
<?php get_footer(); ?>
