<?php
/**
 * Single Product Up-Sells
 *
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     1.6.4
 */

global $product, $woocommerce_loop;

$upsells = $product->get_upsells();

if ( sizeof( $upsells ) == 0 ) return;

$args = array(
	'post_type'				=> 'product',
	'ignore_sticky_posts'	=> 1,
	'posts_per_page' 		=> 4,
	'no_found_rows' 		=> 1,
	'orderby' 				=> 'rand',
	'post__in' 				=> $upsells
);

$products = new WP_Query( $args );

if ( $products->have_posts() ) : ?>

	<div class="upsells products">

	<div class="widget-heading">
  <h4 class="widget-title"><?php _e('You may also like&hellip;', 'woocommerce') ?></h4></div>

		<ul class="products">

			<?php while ( $products->have_posts() ) : $products->the_post(); ?>

				<a href="<?php the_permalink() ?>"><?php  the_post_thumbnail();  ?></a>

			<?php endwhile; // end of the loop. ?>

		</ul>

	</div>

<?php endif;

wp_reset_postdata();