<?php
/*--------------------------*
/* Theme Setup
/*--------------------------*/
$themename = "bent";
$shortname = "bt";
if ( ! isset( $content_width ) )
  $content_width = 770; /* pixels */


/*--------------------------*
/* Localization
/*--------------------------*/

load_theme_textdomain( 'bent', get_template_directory() . '/languages' );

/*--------------------------*
/* A Few Directories
/*--------------------------*/

define('bent_url', get_template_directory()  . '/');
define('bent_admin', bent_url . '/admin');
define('bent_includes', bent_url . '/includes');

/*--------------------------*
/* Html5 Shim
/*--------------------------*/

add_action( 'wp_head', 'html5_shim');

if (!function_exists('html5_shim')) {
	function html5_shim() {
		?>
<!--[if lt IE 9]>
			<script src="https://html5shim.googlecode.com/svn/trunk/html5.js"></script>
		<![endif]-->
<?php
	}
}

/*--------------------------*
/* StyleSheets
/*--------------------------*/#
  function bent_css_loader() {
		
	wp_enqueue_style('bootstrap', get_template_directory_uri().'/assets/bootstrap/css/bootstrap.css', false ,'1.0', 'all' );
	wp_enqueue_style('bootstrap-responsive', get_template_directory_uri().'/assets/bootstrap/css/bootstrap-responsive.css', false ,'1.0', 'all' );
    wp_enqueue_style('styles', get_template_directory_uri().'/assets/css/styles.css', false ,'1.0', 'all' );
		wp_enqueue_style('palette', get_template_directory_uri().'/assets/css/'.of_get_option("bt_color").'.css', false ,'1.0', 'all' );
		
    wp_enqueue_style('prettify', get_template_directory_uri().'/assets/js/google-code-prettify/prettify.css', false ,'1.0', 'all' );
	wp_enqueue_style('font', 'http://fonts.googleapis.com/css?family=Open+Sans', false ,'1.0', 'all' );
  }
add_action('wp_enqueue_scripts', 'bent_css_loader');

define('WOOCOMMERCE_USE_CSS', false);
/*--------------------------*
/* Scripts
/*--------------------------*/
  function bent_js_loader() {
	wp_enqueue_script('bootstrapjs', get_template_directory_uri().'/assets/js/bootstrap.min.js', array('jquery'),'1.0', true );
	wp_enqueue_script('prettifyjs', get_template_directory_uri().'/assets/js/google-code-prettify/prettify.js', array('jquery'),'1.0', true );
	wp_enqueue_script('isotopejs', get_template_directory_uri().'/assets/js/jquery.isotope.min.js', array('jquery'),'1.0', true );
	wp_enqueue_script('scripts', get_template_directory_uri().'/assets/js/scripts.js', array('jquery'),'1.0', true );
	
	wp_enqueue_script('twitter', get_template_directory_uri().'/assets/js/twitter.js', array('jquery'),'1.0', true );
	$data = array( 'social_twitname' => of_get_option('social_twitname', ''), 'social_tweets'=> of_get_option('social_tweets', ''));
	wp_localize_script('twitter', 'php_data', $data);

	wp_enqueue_script('validate', get_template_directory_uri().'/assets/js/jquery.validate.js', array('jquery'),'1.0', true );		
  }
add_action('wp_enqueue_scripts', 'bent_js_loader');


/*--------------------------*
/*  Register Menus
/*--------------------------*/

add_action( 'init', 'register_bt_menus' );
 
function register_bt_menus() {
	register_nav_menus(
		array(
			'menu-main' => __( 'Main Menu', 'bt' ),
			
		)
	);
} 

/**
 * Custom Walker to change submenu class items from default "sub-menu" to ""
 */
class BT_Walker_Nav_Menu extends Walker_Nav_Menu {
  function start_lvl(&$output, $depth) {
    $indent = str_repeat("\t", $depth);
    $output .= "\n$indent<ul class=\"dropdown-menu\">\n";
	
  }
}

 
if ( ! function_exists( 'bent_content_nav' ) ):
/**
 * Display navigation to next/previous pages when applicable
 */
function bent_content_nav( $nav_id ) {
	global $wp_query;

	?>
<?php if ( is_single() ) :  ?>

<ul class="pager">
<?php previous_post_link( '<li class="previous">%link</li>', '<span class="meta-nav">' . _x( '&larr;', 'Previous post link', 'bt' ) . '</span> %title' ); ?>
<?php next_post_link( '<li class="next">%link</li>', '%title <span class="meta-nav">' . _x( '&rarr;', 'Next post link', 'bt' ) . '</span>' ); ?>
</ul>
<?php elseif ( $wp_query->max_num_pages > 1 && ( is_home() || is_archive() || is_search() ) ) :  ?>
<ul class="pager">
<?php if ( get_next_posts_link() ) : ?>
<li class="next">
<?php next_posts_link( __( '<span class="meta-nav">&larr;</span> Older posts', 'bt' ) ); ?>
</li>
<?php endif; ?>
<?php if ( get_previous_posts_link() ) : ?>
<li class="previous">
<?php previous_posts_link( __( 'Newer posts <span class="meta-nav">&rarr;</span>', 'bt' ) ); ?>
</li>
<?php endif; ?>
</ul>
<?php endif; ?>
<?php
}
endif; 



/*--------------------------*
/* Register Sidebars
/*--------------------------*/
function bent_widgets_init() {

  register_sidebar( array(
    'name' => 'Sidebar',
    'id' => 'sidebar-posts',
    'before_widget' => '<div id="%1$s" class="widget %2$s">',
    'after_widget' => "</div>",
    'before_title' => '<div class="widget-heading"><h4 class="widget-title">',
    'after_title' => '</h4></div>',
  ) );


    register_sidebar(array(
    'name' => 'Footer Content',
    'id'   => 'footer-content',
    'description'   => 'Footer text or acknowledgements',
    'before_widget' => '<div id="%1$s" class="widget %2$s span3">',
    'after_widget'  => '</div>',
    'before_title'  => '<h4>',
    'after_title'   => '</h4>'
  ));
}
add_action( 'init', 'bent_widgets_init' );

/*--------------------------*
/* Load Option Panel
/*--------------------------*/

if ( !function_exists( 'optionsframework_init' ) ) {
	define( 'OPTIONS_FRAMEWORK_DIRECTORY', get_template_directory_uri() . '/admin/' );
	require_once dirname( __FILE__ ) . '/admin/options-framework.php';
}

/*--------------------------*
/* Dynamic Sidebars
/*--------------------------*/

require_once(bent_admin . '/sidebars/sbars.php');

function bent_theme_setup() {
	/*--------------------------*
/* Default RSS link
/*--------------------------*/
	add_theme_support( 'automatic-feed-links' );

	/*--------------------------*
/* Add support for Aside
/*--------------------------*/
	
}
add_action( 'after_setup_theme', 'bent_theme_setup' );

/*--------------------------*
/* Image Sizes
/*--------------------------*/
if ( function_exists( 'add_theme_support' ) ) {
  add_theme_support( 'post-thumbnails' );
  set_post_thumbnail_size( 160, 120 ); // 160 pixels wide by 120 pixels high
}

if ( function_exists( 'add_image_size' ) ) {
  add_image_size( 'bt-small', 260, 180 ); // 260 pixels wide by 180 pixels high
  add_image_size( 'bt-medium', 360, 268 ); // 360 pixels wide by 268 pixels high
	add_image_size('product-thumbnail',270,'');
	add_image_size('bt',300,'');
}
/*--------------------------*
/* Image Size Filter
/*--------------------------*/

add_filter( 'post_thumbnail_html', 'remove_width_attribute', 10 );
add_filter( 'image_send_to_editor', 'remove_width_attribute', 10 );
 
function remove_width_attribute( $html ) {
    $html = preg_replace( '/(width|height)=\"\d*\"\s/', "", $html );
    return $html;
}


/*--------------------------*
/* Excerpt Format / Read More
/*--------------------------*/
function bent_excerpt($more) {
       global $post;
  return '&nbsp; &nbsp;<a href="'. get_permalink($post->ID) . '">...</a>';
}
add_filter('excerpt_more', 'bent_excerpt');



if ( ! function_exists( 'bent_comment' ) ) :
/*--------------------------*
/* Comments
/*--------------------------*/
function bent_comment( $comment, $args, $depth ) {
	$GLOBALS['comment'] = $comment;
	switch ( $comment->comment_type ) :
		case 'pingback' :
		case 'trackback' :
	?>
<li class="post pingback">
<p>
<?php _e( 'Pingback:', 'bt' ); ?>
<?php comment_author_link(); ?>
<?php edit_comment_link( __( '(Edit)', 'bt' ), ' ' ); ?>
</p>
<?php
			break;
		default :
	?>
<li <?php comment_class(); ?> id="li-comment-<?php comment_ID(); ?>">
<article id="comment-<?php comment_ID(); ?>" class="comment">
<footer>
<div class="comment-author vcard"> <?php echo get_avatar( $comment, 40 ); ?>
<div class="comment-meta commentmetadata"> <a href="<?php echo esc_url( get_comment_link( $comment->comment_ID ) ); ?>">
<time pubdate datetime="<?php comment_time( 'c' ); ?>">
<?php
						/* translators: 1: date, 2: time */
						printf( __( '%1$s on %2$s', 'bt' ), get_comment_author(), get_comment_date() ); ?>
</time>
</a>
<?php edit_comment_link( __( '(Edit)', 'bt' ), ' ' );
					?>
<div class="reply">
<?php comment_reply_link( array_merge( $args, array( 'depth' => $depth, 'max_depth' => $args['max_depth'] ) ) ); ?>
</div>
<!-- .reply --></div>
<!-- .comment-author .vcard -->
<?php if ( $comment->comment_approved == '0' ) : ?>
<em>
<?php _e( 'Your comment is awaiting moderation.', 'bt' ); ?>
</em> <br />
<?php endif; ?>
</div>
<!-- .comment-meta .commentmetadata --> 
</footer>
<div class="comment-content">
<?php comment_text(); ?>
</div>
</article>
<!-- #comment-## -->

<?php
			break;
	endswitch;
}
endif; 

if ( ! function_exists( 'bent_posted_on' ) ) :
/*--------------------------*
/* Author Meta
/*--------------------------*/
function bent_posted_on() {
	printf( __( '<span class="sep">Posted on </span><a href="%1$s" title="%2$s" rel="bookmark"><time class="entry-date" datetime="%3$s" pubdate>%4$s</time></a><span class="byline"> <span class="sep"> by </span> <span class="author vcard"><a class="url fn n" href="%5$s" title="%6$s" rel="author">%7$s</a></span></span>', 'bt' ),
		esc_url( get_permalink() ),
		esc_attr( get_the_time() ),
		esc_attr( get_the_date( 'c' ) ),
		esc_html( get_the_date() ),
		esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ),
		esc_attr( sprintf( __( 'View all posts by %s', 'bt' ), get_the_author() ) ),
		esc_html( get_the_author() )
	);
}
endif;

function bent_body_classes( $classes ) {
	
	if ( ! is_multi_author() ) {
		$classes[] = 'single-author';
	}

	return $classes;
}
add_filter( 'body_class', 'bent_body_classes' );



function bent_categorized_blog() {
	if ( false === ( $all_the_cool_cats = get_transient( 'all_the_cool_cats' ) ) ) {
		
		$all_the_cool_cats = get_categories( array(
			'hide_empty' => 1,
		) );

	
		$all_the_cool_cats = count( $all_the_cool_cats );

		set_transient( 'all_the_cool_cats', $all_the_cool_cats );
	}

	if ( '1' != $all_the_cool_cats ) {
		
		return true;
	} else {
	
		return false;
	}
}

function bent_category_transient_flusher() {
 
  delete_transient( 'all_the_cool_cats' );
}
add_action( 'edit_category', 'bent_category_transient_flusher' );
add_action( 'save_post', 'bent_category_transient_flusher' );


function bent_enhanced_image_navigation( $url ) {
	global $post;

	if ( wp_attachment_is_image( $post->ID ) )
		$url = $url . '#main';

	return $url;
}
add_filter( 'attachment_link', 'bent_enhanced_image_navigation' );

/*--------------------------*
/* Add first image as 'Featured Image'
/*--------------------------*/
function bent_autoset_featured_img() {
  global $post;
  $already_has_thumb = has_post_thumbnail($post->ID);
	  if (!$already_has_thumb)  {
		  $attached_image = get_children( "post_parent=$post->ID&post_type=attachment&post_mime_type=image&numberposts=1" );
		  if ($attached_image) {
				foreach ($attached_image as $attachment_id => $attachment) {
				set_post_thumbnail($post->ID, $attachment_id);
				}
		   }
		}
} 
add_action('the_post', 'bent_autoset_featured_img');
add_action('save_post', 'bent_autoset_featured_img');
add_action('draft_to_publish', 'bent_autoset_featured_img');
add_action('new_to_publish', 'bent_autoset_featured_img');
add_action('pending_to_publish', 'bent_autoset_featured_img');
add_action('future_to_publish', 'bent_autoset_featured_img');


// Ensure cart contents update when products are added to the cart via AJAX 
add_filter('add_to_cart_fragments', 'woocommerce_header_add_to_cart_fragment');

function woocommerce_header_add_to_cart_fragment( $fragments ) {
	global $woocommerce;

	ob_start();

	?>
<a class="cart-contents" href="<?php echo $woocommerce->cart->get_cart_url(); ?>" title="<?php _e('View your shopping cart', 'woothemes'); ?>"><?php echo sprintf(_n('%d item', '%d items', $woocommerce->cart->cart_contents_count, 'woothemes'), $woocommerce->cart->cart_contents_count);?> - <?php echo $woocommerce->cart->get_cart_total(); ?></a>
<?php

	$fragments['a.cart-contents'] = ob_get_clean();

	return $fragments;

}

function shortie( $shortcode ){ echo do_shortcode( $shortcode );}

//*remove comment attributes stuff *//

function mytheme_init() {
	add_filter('comment_form_defaults','mytheme_comments_form_defaults');
}
add_action('after_setup_theme','mytheme_init');

function mytheme_comments_form_defaults($default) {
	unset($default['comment_notes_after']);
	return $default;
}

/*--------------------------*
/* Custom Avatar
/*--------------------------*/


add_filter( 'avatar_defaults', 'bent_custom_gravatar' );
function bent_custom_gravatar ($avatar_defaults) {
$myavatar = get_template_directory_uri() . '/assets/images/icons/avatars/default-avatar.png';
$avatar_defaults[$myavatar] = "Custom Gravatar";
return $avatar_defaults;
}

/*--------------------------*
/* Plugins
/*--------------------------*/

require_once(bent_includes . '/plugins/plugin.php');


/*--------------------------*
/* Metaboxes
/*--------------------------*/

require_once(bent_admin . '/metabox/meta.php');

/*--------------------------*
/* Shortcodes
/*--------------------------*/

require_once(bent_admin . '/shortcodes/columns/columns.php');
require_once(bent_admin . '/shortcodes/notifications/notifications.php');
require_once(bent_admin . '/shortcodes/buttons/buttons.php');
require_once(bent_admin . '/shortcodes/icons/icons.php');
require_once(bent_admin . '/shortcodes/progress_bars/progress.php');
require_once(bent_admin . '/shortcodes/twitter/twitter.php');
add_filter('widget_text', 'do_shortcode');

function shortcode_empty_paragraph_fix($content){   
    $array = array (
        '<p>[' => '[', 
        ']</p>' => ']', 
        ']<br />' => ']'
    );
    $content = strtr($content, $array);
    return $content;
}

/*--------------------------*
/* WooCommerce
/*--------------------------*/
remove_action('woocommerce_before_main_content', 'woocommerce_output_content_wrapper', 10);
remove_action('woocommerce_after_main_content', 'woocommerce_output_content_wrapper_end', 10);

add_action('woocommerce_before_main_content', 'responsive_woocommerce_wrapper', 10);
add_action('woocommerce_after_main_content', 'responsive_woocommerce_wrapper_end', 10);
 
function responsive_woocommerce_wrapper() {
  echo '<div id="content-woocommerce" class="grid col-620">';
}
 
function responsive_woocommerce_wrapper_end() {
  echo '</div><!-- end of #content-woocommerce -->';
}

add_filter('the_content', 'shortcode_empty_paragraph_fix');

add_filter( 'woocommerce_variation_option_name', 'display_price_in_variation_option_name' );

function display_price_in_variation_option_name( $term ) {
    global $wpdb, $product;

    $result = $wpdb->get_col( "SELECT slug FROM {$wpdb->prefix}terms WHERE name = '$term'" );

    $term_slug = ( !empty( $result ) ) ? $result[0] : $term;


    $query = "SELECT postmeta.post_id AS product_id
                FROM {$wpdb->prefix}postmeta AS postmeta
                    LEFT JOIN {$wpdb->prefix}posts AS products ON ( products.ID = postmeta.post_id )
                WHERE postmeta.meta_key LIKE 'attribute_%'
                    AND postmeta.meta_value = '$term_slug'
                    AND products.post_parent = $product->id";

    $variation_id = $wpdb->get_col( $query );

    $parent = wp_get_post_parent_id( $variation_id[0] );

    if ( $parent > 0 ) {
        $_product = new WC_Product_Variation( $variation_id[0] );
        return $term . ' (' . woocommerce_price( $_product->get_price() ) . ')';
    }
    return $term;

}

add_theme_support( 'woocommerce' );
?>